Bug 14529 - PAM unable to dlopen(/lib/security/pam_cracklib.so)
Summary: PAM unable to dlopen(/lib/security/pam_cracklib.so)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam   
(Show other bugs)
Version: 6.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-24 14:59 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-24 15:02:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-07-24 14:59:16 UTC
After installation of RedHat 6.2, using boot image
boot-20000407.img and update-disk-20000419.img
The root-user has still no password. And only user without password can 
log in.
After a user xxx open a session we have in /var/log/messages
Jul 24 16:45:00 linux login: PAM unable to dlopen
(/lib/security/pam_cracklib.so)
Jul 24 16:45:00 linux login: PAM [dlerror: libcrack.so.2: cannot open 
shared object file: No such file or directory]
Jul 24 16:45:00 linux login: PAM adding faulty 
module: /lib/security/pam_cracklib.so
Jul 24 16:45:02 linux PAM_pwdb[812]: (login) session opened for user xxx 
by (uid=0)

I tried to install with shadow or md5 enabled or disabled 
During installation I have the message passwd: Module is unknown
and after installation if I run passwd (under root or any user) I have the 
same message.

Comment 1 Nalin Dahyabhai 2000-07-24 15:02:35 UTC
Do you have the "cracklib" package installed?

Comment 2 Need Real Name 2000-07-25 06:59:53 UTC
Solved.

When I looked in the /tmp/install.log I saw "cracklib installed" and no error 
or warning. But the rpm file was corrupted.
When I checked the package on my cdrom with rpm I got "does not appear to be a 
RPM package"
I downloaded the package and installed it. Now it works.

I have installed another linux with the same cdrom the day before and it was Ok.

This is not a security problem but an installer problem. 
The install log didn't reports any errors. The installer just writes cracklib 
installed even if the package was corrupted !




Note You need to log in before you can comment on or make changes to this bug.